From: Gustavo Noronha <kov@debian.org>, Ricardo Mones <mones@debian.org>
Date: Sun, 28 Jan 2018 18:20:19 +0900
Subject: Add more options available in Debian for browsing
Forwarded: not-needed

---
 src/prefs_common_dialog.c | 19 ++++++++++++++-----
 1 file changed, 14 insertions(+), 5 deletions(-)

diff --git a/src/prefs_common_dialog.c b/src/prefs_common_dialog.c
index b46c9b7..724392f 100644
--- a/src/prefs_common_dialog.c
+++ b/src/prefs_common_dialog.c
@@ -3023,13 +3023,21 @@ static GtkWidget *prefs_extcmd_create(void)
 			       _("(Default browser)"),
 #else
 			       DEFAULT_BROWSER_CMD,
-			       "sensible-browser '%s'",
+			       "xdg-open '%s'",
+			       "iceweasel -remote 'openURL(%s,new-window)'",
+			       "iceweasel '%s'",
+			       "midori '%s'",
+			       "arora '%s'",
+			       "epiphany-browser --new-window '%s'",
+			       "epiphany-browser --new-tab '%s'",
+			       "galeon --new-window '%s'",
+			       "galeon --new-tab '%s'",
 			       "firefox -remote 'openURL(%s,new-window)'",
 			       "firefox '%s'",
 			       "mozilla -remote 'openURL(%s,new-window)'",
 			       "mozilla '%s'",
-			       "rxvt -e w3m '%s'",
-			       "rxvt -e lynx '%s'",
+			       "x-terminal-emulator -e w3m '%s'",
+			       "x-terminal-emulator -e lynx '%s'",
 #endif
 			       NULL);
 	uri_entry = GTK_COMBO (uri_combo)->entry;
@@ -3054,8 +3062,9 @@ static GtkWidget *prefs_extcmd_create(void)
 			       "kedit %s",
 			       "emacs %s",
 			       "xemacs %s",
-			       "rxvt -e jed %s",
-			       "rxvt -e vi %s",
+			       "gvim -f %s",
+			       "x-terminal-emulator -e jed %s",
+			       "x-terminal-emulator -e vi %s",
 #endif
 			       NULL);
 	exteditor_entry = GTK_COMBO (exteditor_combo)->entry;
